%define upstream_name    Getargs-Long
%define upstream_version 1.1003

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Parses long function args f(-arg => value)
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Getargs/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Log::Agent)
BuildRequires: perl(Test::More)
BuildArch: noarch

%description
The 'Getargs::Long' module allows usage of named parameters in function
calls, along with optional argument type-checking. It provides an easy way
to get at the parameters within the routine, and yields concise
descriptions for the common cases of all-mandatory and all-optional
parameter lists.

The validation of arguments can be done by a structure-driven routine
getargs() which is fine for infrequently called routines (but should be
slower), or via a dedicated routine created and compiled on the fly the
fist time it is needed, by using the cgetargs() family (expected to be
faster).

The 'Log::Agent' module is used to report errors, which leaves to the
application the choice of the final logging method: to a file, to STDERR,
or to syslog.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc CHANGES META.yml README
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog

* Sun Nov 20 2011 kharec <kharec> 1.100.300-1.mga2
+ Revision: 170090
- imported package perl-Getargs-Long


* Sun Nov 20 2011 cpan2dist 1.1003-1mga
- initial mageia release, generated with cpan2dist
